import QtQuick 2.0
import Sailfish.Silica 1.0
import "../components"

Page {
    id: aboutPage
    // The version property is now in the application
    // initialisation code in harbour-pedalo.cpp
    //property string version: "?.?-?"

    // The effective value will be restricted by ApplicationWindow.allowedOrientations
    allowedOrientations: Orientation.All

    VerticalScrollDecorator {}

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: aboutColumn.height
        flickableDirection: Flickable.VerticalFlick

        Column {
            id: aboutColumn
            width: parent.width
            spacing: Theme.paddingLarge

            PageHeader {
                title: qsTr("About Pedalo")
            }

            Image {
                anchors.topMargin: Theme.paddingLarge
                anchors.horizontalCenter: parent.horizontalCenter
                source  : Qt.resolvedUrl("image://pedalo/pedalo-title")
            }

            Label {
                text: qsTr("Measures your relative pedalo performance with others in a privacy-preserving way")
                wrapMode: Text.WordWrap
                font.pixelSize: Theme.fontSizeSmall
                anchors {
                    leftMargin: Theme.paddingLarge
                    rightMargin: Theme.paddingLarge
                    left: parent.left
                    right: parent.right
                }
            }

            InfoRow {
                label: qsTr("Version:")
                value: version
                midlineRatio: 0.3
                midlineMin: Theme.fontSizeSmall * 5
                midlineMax: Theme.fontSizeSmall * 10
            }

            InfoRow {
                label: qsTr("Author:")
                value: "David Llewellyn-Jones"
                midlineRatio: 0.3
                midlineMin: Theme.fontSizeSmall * 5
                midlineMax: Theme.fontSizeSmall * 10
            }

            InfoRow {
                label: qsTr("Licence:")
                value: "MIT"
                midlineRatio: 0.3
                midlineMin: Theme.fontSizeSmall * 5
                midlineMax: Theme.fontSizeSmall * 10
            }

            SectionHeader {
                text: qsTr("Links")
            }

            Row {
                spacing: Theme.paddingLarge
                anchors.horizontalCenter: parent.horizontalCenter
                Button {
                    id: website
                    text: qsTr("Website")
                    enabled: true
                    onClicked: Qt.openUrlExternally("http://www.flypig.co.uk/?to=pedalo")
                }
                Button {
                    id : email
                    text: qsTr("Email")
                    enabled: true
                    onClicked: Qt.openUrlExternally("mailto:david@flypig.co.uk")
                }
            }
        }
    }
}

