#include "journey.h"
#include <QDebug>

Journey::Journey() :
    start(0u),
    duration(0u),
    overtook(0u),
    overtakenby(0u)
{
}

Journey::Journey(quint64 start, quint32 duration, quint32 overtook, quint32 overtakenby) :
    start(start),
    duration(duration),
    overtook(overtook),
    overtakenby(overtakenby)
{
}

quint64 Journey::getStart () const {
    return start;
}

QDate Journey::getStartDate() const {
    QDateTime date;

    date.setMSecsSinceEpoch(start);
    return date.date();
}

QTime Journey::getStartTime() const {
    QDateTime time;

    time.setMSecsSinceEpoch(start);
    return time.time();
}

QTime Journey::getEndTime() const {
    QDateTime time;

    time.setMSecsSinceEpoch(start);
    time = time.addSecs(duration);

    return time.time();
}

qint32 Journey::getDuration () const {
    return duration;
}

qint32 Journey::getOvertook () const {
    return overtook;
}

qint32 Journey::getOvertakenBy () const {
    return overtakenby;
}


void Journey::setStart (const quint64 value) {
    start = value;
}

void Journey::setStartDate (const QDate &value) {
    QDateTime time;

    time.setMSecsSinceEpoch(start);
    time.setDate(value);
}

void Journey::setStartTime (const QTime &value) {
    QDateTime time;

    time.setMSecsSinceEpoch(start);
    time.setTime(value);
}

void Journey::setEndTime(const QTime &value) {
    qint64 difference;
    QDateTime starttime;
    QDateTime endtime;

    starttime.setMSecsSinceEpoch(start);
    endtime = QDateTime(starttime);
    endtime.setTime(value);
    difference = starttime.secsTo(endtime);
    if (difference < 0) {
        difference %= 24 * 60 * 60;
    }
    duration = difference;
}

void Journey::setDuration (qint32 value) {
    duration = value;
}

void Journey::setOvertook (qint32 value) {
    overtook = value;
}

void Journey::setOvertakenBy (qint32 value) {
    overtakenby = value;
}

