#ifndef STATS_H
#define STATS_H

#include <QStringList>

class Stats
{
public:
    Stats();

    virtual void update();

    virtual QString getTitle() const;
    virtual QStringList getLabels() const;
    virtual QList<float> getBarValues() const;
    virtual QList<float> getLineValues() const;
    virtual QString getUnits() const;
    virtual float getMinVal() const;
    virtual float getMaxVal() const;
    virtual float getStep() const;

    virtual void setTitle(QString &value);
    virtual void setLabels(QStringList &value);
    virtual void setBarValues(QList<float> &value);
    virtual void setLineValues(QList<float> &value);
    virtual void setUnits(QString &value);
    virtual void setMinVal(float value);
    virtual void setMaxVal(float value);
    virtual void setStep(float value);

protected:
    QString title;
    QStringList labels;
    QList<float> barvalues;
    QList<float> linevalues;
    QString units;
    float minval;
    float maxval;
    float step;
};

#endif // STATS_H
