#ifndef STATSMODEL_H
#define STATSMODEL_H

#include <QAbstractListModel>
#include <QStringList>

#include "stats.h"

class StatsModel : public QAbstractListModel
{
    Q_OBJECT
public:
    enum StatsRoles {
        TitleRole = Qt::UserRole + 1,
        BarValuesRole,
        LineValuesRole,
        LabelsRole,
        UnitsRole,
        MinValRole,
        MaxValRole,
        StepRole,
    };

    QHash<int, QByteArray> roleNames() const;

    StatsModel(QObject *parent = 0);

    void addStats(Stats &stats);

    int rowCount(const QModelIndex & parent = QModelIndex()) const;

    QVariant data(const QModelIndex & index, int role = Qt::DisplayRole) const;

    void clear();

    Q_INVOKABLE void updateAll();

private:
    QHash<int, QByteArray> roles;
    QList<Stats *> stats;
    int visibleIndex;
};

#endif // STATSMODEL_H
